uk.gov.hmrc.githubclient

# ExtendedGitHubClient

###
Related Docs: object ExtendedGitHubClient | package githubclient

#### class ExtendedGitHubClient extends GitHubClient

Linear Supertypes
GitHubClient, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtendedGitHubClient
2. GitHubClient
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ExtendedGitHubClient(hostName: String, metrics: GithubClientMetrics)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def configureRequest(arg0: HttpURLConnection): HttpURLConnection

   Attributes
     protected[org.eclipse.egit.github.core.client]
   Definition Classes
     GitHubClient

7. #### def configureUri(arg0: String): String

   Attributes
     protected[org.eclipse.egit.github.core.client]
   Definition Classes
     GitHubClient

8. #### def createConnection(arg0: String, arg1: String): HttpURLConnection

   Attributes
     protected[org.eclipse.egit.github.core.client]
   Definition Classes
     GitHubClient
   Annotations
     @throws( classOf[java.io.IOException] )

9. #### def createConnection(arg0: String): HttpURLConnection

   Attributes
     protected[org.eclipse.egit.github.core.client]
   Definition Classes
     GitHubClient
   Annotations
     @throws( classOf[java.io.IOException] )

10. #### def createDelete(arg0: String): HttpURLConnection

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

11. #### def createException(arg0: InputStream, arg1: Int, arg2: String): IOException

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient

12. #### def createGet(arg0: String): HttpURLConnection

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

13. #### def createPost(arg0: String): HttpURLConnection

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

14. #### def createPut(arg0: String): HttpURLConnection

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

15. #### def createUri(arg0: String): String

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient

16. #### def delete(uri: String, params: Any): Unit

    Definition Classes
      ExtendedGitHubClient → GitHubClient

17. #### def delete(arg0: String): Unit

    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def get(request: GitHubRequest): GitHubResponse

    Definition Classes
      ExtendedGitHubClient → GitHubClient

22. #### def getBody(arg0: GitHubRequest, arg1: InputStream): AnyRef

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def getRemainingRequests(): Int

    Definition Classes
      GitHubClient

25. #### def getRequestLimit(): Int

    Definition Classes
      GitHubClient

26. #### def getResponseStream(arg0: HttpURLConnection): InputStream

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

27. #### def getStream(request: HttpURLConnection): InputStream

    Definition Classes
      ExtendedGitHubClient → GitHubClient

28. #### def getStream(arg0: GitHubRequest): InputStream

    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

29. #### def getUser(): String

    Definition Classes
      GitHubClient

30. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

31. #### def isEmpty(arg0: Int): Boolean

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient

32. #### def isError(arg0: Int): Boolean

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### def isOk(arg0: Int): Boolean

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### def parseError(arg0: InputStream): RequestError

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

39. #### def parseJson[V](arg0: InputStream, arg1: Type, arg2: Type): V

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

40. #### def parseJson[V](arg0: InputStream, arg1: Type): V

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

41. #### def post[V](uri: String, params: Any, type: Type): V

    Definition Classes
      ExtendedGitHubClient → GitHubClient

42. #### def post(arg0: String): Unit

    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

43. #### def postStream(uri: String, params: Any): InputStream

    Definition Classes
      ExtendedGitHubClient → GitHubClient

44. #### def put[V](uri: String, params: Any, type: Type): V

    Definition Classes
      ExtendedGitHubClient → GitHubClient

45. #### def put[V](uri: String, params: HashMap[String, String], headers: Map[String, String], typeof: Type): Option[V]

46. #### def put(arg0: String): Unit

    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

47. #### def sendParams(arg0: HttpURLConnection, arg1: Any): Unit

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

48. #### def setBufferSize(arg0: Int): GitHubClient

    Definition Classes
      GitHubClient

49. #### def setCredentials(arg0: String, arg1: String): GitHubClient

    Definition Classes
      GitHubClient

50. #### def setOAuth2Token(arg0: String): GitHubClient

    Definition Classes
      GitHubClient

51. #### def setSerializeNulls(arg0: Boolean): GitHubClient

    Definition Classes
      GitHubClient

52. #### def setUserAgent(arg0: String): GitHubClient

    Definition Classes
      GitHubClient

53. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

54. #### val timeout: FiniteDuration

55. #### def toJson(arg0: Any): String

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient
    Annotations
      @throws( classOf[java.io.IOException] )

56. #### def toString(): String

    Definition Classes
      AnyRef → Any

57. #### def updateRateLimits(arg0: HttpURLConnection): GitHubClient

    Attributes
      protected[org.eclipse.egit.github.core.client]
    Definition Classes
      GitHubClient

58. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from GitHubClient

### Inherited from AnyRef

### Inherited from Any

### Ungrouped